package com.bocloud.cmp.model.hmc;

public class HmdProfileModifyModel extends HmdGenericModel {

    private final HmdProfileModel profile;

    public HmdProfileModifyModel(HmdProfileModel profile) {
        this.profile = profile;
    }

    public HmdProfileModel getProfile() {
        return profile;
    }

    @Override
    public String getUuid() {
        return this.profile.getUuid();
    }

    @Override
    public void setUuid(String uuid) {
        this.profile.setUuid(uuid);
    }

    @Override
    public String getUrl() {
        return this.profile.getUrl();
    }

    @Override
    public void setUrl(String url) {
        this.profile.setUrl(url);
    }
}
